%define upstream_name    PPI-XS
%define upstream_version 0.901

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	(Minor) XS acceleration for PPI
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(PPI)
BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel


%description
PPI::XS provides XS-based acceleration of the core PPI packages. It
selectively replaces a (small but growing) number of methods throughout PPI
with identical but much faster C versions.

Once installed, it will be auto-detected and loaded in by PPI completely
transparently.

Because the C implementations are linked to the perl versions of the same
function, it is preferable to upgrade PPI::XS any time you do a major
upgrade of PPI itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc LICENSE README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 12 2011 sander85 <sander85> 0.901.0-6.mga2
+ Revision: 104922
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.901.0-5.mga1
+ Revision: 34107
- mageia rebuild
- imported package perl-PPI-XS

